FROM rust:1.62.1-slim-bullseye as base

RUN rustup target add x86_64-unknown-linux-musl

RUN apt-get update -qq && \
  apt-get install -y \
  musl-tools \
  musl-dev

RUN update-ca-certificates

RUN apt-get update && apt-get upgrade -y
RUN apt-get install -y -q build-essential curl git

WORKDIR /app/cuddle/

RUN cargo install --target x86_64-unknown-linux-musl --git https://git.front.kjuulh.io/kjuulh/cuddle.git cuddle_cli

FROM docker:stable-dind

COPY --from=base /usr/local/cargo/bin/ /usr/local/cargo/bin/
ENV PATH="${PATH}:/usr/local/cargo/bin"
